<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chaozhanggui.dao.system.dao.TbPlussRegionLklMapper">
  <resultMap id="BaseResultMap" type="com.chaozhanggui.dao.system.entity.TbPlussRegionLkl">
    <result column="create_time" jdbcType="VARCHAR" property="createTime" />
    <result column="optimistic" jdbcType="VARCHAR" property="optimistic" />
    <result column="update_time" jdbcType="VARCHAR" property="updateTime" />
    <result column="code" jdbcType="VARCHAR" property="code" />
    <result column="name" jdbcType="VARCHAR" property="name" />
    <result column="parent_code" jdbcType="VARCHAR" property="parentCode" />
    <result column="id" jdbcType="VARCHAR" property="id" />
  </resultMap>
  <insert id="insert" parameterType="com.chaozhanggui.dao.system.entity.TbPlussRegionLkl">
    insert into tb_pluss_region_lkl (create_time, optimistic, update_time, 
      code, name, parent_code, 
      id)
    values (#{createTime,jdbcType=VARCHAR}, #{optimistic,jdbcType=VARCHAR}, #{updateTime,jdbcType=VARCHAR}, 
      #{code,jdbcType=VARCHAR}, #{name,jdbcType=VARCHAR}, #{parentCode,jdbcType=VARCHAR}, 
      #{id,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.chaozhanggui.dao.system.entity.TbPlussRegionLkl">
    insert into tb_pluss_region_lkl
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="createTime != null">
        create_time,
      </if>
      <if test="optimistic != null">
        optimistic,
      </if>
      <if test="updateTime != null">
        update_time,
      </if>
      <if test="code != null">
        code,
      </if>
      <if test="name != null">
        name,
      </if>
      <if test="parentCode != null">
        parent_code,
      </if>
      <if test="id != null">
        id,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="createTime != null">
        #{createTime,jdbcType=VARCHAR},
      </if>
      <if test="optimistic != null">
        #{optimistic,jdbcType=VARCHAR},
      </if>
      <if test="updateTime != null">
        #{updateTime,jdbcType=VARCHAR},
      </if>
      <if test="code != null">
        #{code,jdbcType=VARCHAR},
      </if>
      <if test="name != null">
        #{name,jdbcType=VARCHAR},
      </if>
      <if test="parentCode != null">
        #{parentCode,jdbcType=VARCHAR},
      </if>
      <if test="id != null">
        #{id,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
</mapper>